/*------------------------------------*\
    #MENU-print
\*------------------------------------*/
/**
 * print navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-print,
%#{$inuit-namespace}menu-print {
    padding-top: 30px;
}

.#{$inuit-namespace}menu-print__list:before {
    content: 'Diese Seite:';
    margin-right: 10px;
}

.#{$inuit-namespace}menu-print__list,
%#{$inuit-namespace}menu-print__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-print__item,
%#{$inuit-namespace}menu-print__item {
    background: transparent;
    display: inline-block;
    height: drk-halve($drk-base-unit);
    margin-right: drk-quarter($drk-base-unit);
    margin-bottom: -7px;
    width: drk-halve($drk-base-unit);
}

.#{$inuit-namespace}menu-print__headline,
%#{$inuit-namespace}menu-print__headline {
    font-weight: bold;
    margin-bottom: drk-quarter($drk-base-unit);
    margin-top: 0;
}

.#{$inuit-namespace}menu-print__icon,
%#{$inuit-namespace}menu-print__icon {
    padding: 0;
    fill: $drk-color-grey;

    .#{$inuit-namespace}menu-print__item:hover &,
    %#{$inuit-namespace}menu-print__item:hover &,
    .#{$inuit-namespace}menu-print__item:focus &,
    %#{$inuit-namespace}menu-print__item:focus & {
        fill: darken($drk-color-grey, 20);
    }
}
